Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class BMPString

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CharacterString
            |
            +--org.mozilla.jss.asn1.BMPString

All Implemented Interfaces:
  ASN1Value

public class BMPString
extends CharacterString
implements ASN1Value

The ASN.1 type BMPString. BMPStrings use the Unicode character set. They are encoded and decoded in big-endian format using two octets.

Inner Class Summary
`private static class` | `BMPString.BMPConverter`
`static class` | `BMPString.Template`

Inner classes inherited from class org.mozilla.jss.asn1.CharacterString
`CharacterString.Template`

Field Summary
`private static BMPString.BMPConverter` | `converterInstance`
`(package private) static Form` | `FORM`
`(package private) static Tag` | `TAG`
`private static BMPString.Template` | `templateInstance`

Fields inherited from class org.mozilla.jss.asn1.CharacterString
`cachedContents, chars`

Constructor Summary
`BMPString(char[] chars)` Creates a new BMPString from an array of Java characters.
`BMPString(java.lang.String s)` Creates a new BMPString from a Java String.

Method Summary
`(package private) CharConverter` | `getCharConverter()` Returns the conversion object for converting between an encoded byte array an an array of Java characters.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static BMPString.Template` | `getTemplate()` Returns a singleton instance of BMPString.Template.

Methods inherited from class org.mozilla.jss.asn1.CharacterString
`computeContents, encode, encode, getEncodedContents, toCharArray, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Value
`encode, encode`

Field Detail

### converterInstance

    private static final BMPString.BMPConverter converterInstance

### TAG

    static final Tag TAG

### FORM

    static final Form FORM

### templateInstance

    private static final BMPString.Template templateInstance

Constructor Detail

### BMPString

    public BMPString(char[] chars)
              throws java.io.CharConversionException

  Creates a new BMPString from an array of Java characters.

### BMPString

    public BMPString(java.lang.String s)
              throws java.io.CharConversionException

  Creates a new BMPString from a Java String.

Method Detail

### getCharConverter

    CharConverter getCharConverter()

  Returns the conversion object for converting between an encoded byte array an an array of Java characters.
  Overrides:
    `getCharConverter` in class `CharacterString`

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`
  Overrides:
    `getTag` in class `CharacterString`

### getTemplate

    public static BMPString.Template getTemplate()

  Returns a singleton instance of BMPString.Template. This is more efficient than creating a new BMPString.Template.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD